| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::EdgeData::Edge Struct Reference

Edge data. More...

`#include <OgreEdgeListBuilder.h>`

## Public Attributes
bool | degenerate
| Indicates if this is a degenerate edge, ie it does not have 2 triangles. More...
size_t | sharedVertIndex [2]
| Vertex indices as used in the shared vertex list, not exposed. More...
size_t | triIndex [2]
| The indexes of the 2 tris attached, note that tri 0 is the one where the indexes run anti clockwise along the edge. More...
size_t | vertIndex [2]
| The vertex indices for this edge. More...

## Detailed Description

Edge data.

## Member Data Documentation

## ◆ triIndex

size_t Ogre::EdgeData::Edge::triIndex[2]

The indexes of the 2 tris attached, note that tri 0 is the one where the indexes run anti clockwise along the edge.

Indexes must be reversed for tri 1.

## ◆ vertIndex

size_t Ogre::EdgeData::Edge::vertIndex[2]

The vertex indices for this edge.

Note that both vertices will be in the vertex set as specified in 'vertexSet', which will also be the same as tri 0

## ◆ sharedVertIndex

size_t Ogre::EdgeData::Edge::sharedVertIndex[2]

Vertex indices as used in the shared vertex list, not exposed.

## ◆ degenerate

bool Ogre::EdgeData::Edge::degenerate

Indicates if this is a degenerate edge, ie it does not have 2 triangles.

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h